require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module DigitalWorkspace
    module DigitalWorkspace
      class DigitalWorkspaceSetRecordAttributes < UU::OS::REST::DTO
        
        #Specifies whether the DW Record is marked as unread. If the record is marked as read, then it will not be marked as isNew anymore. If set to nil, the value will not be modified.
        attr_accessor :is_unread

        def is_unread
          attributes[:isUnread]
        end

        def is_unread=(val)
          attributes[:isUnread] = val
        end
      end
    end
  end
end